package com.ruoyi.shipping.excel;

import com.ruoyi.common.annotation.Excel;

/**
 * @Author ZhaoQian La
 * @Date 2021/5/21 10:04
 * @Version 1.0
 */
public class TCntrnoExcel {
    private static final long serialVersionUID = 1L;
    /** 箱号 */
    @Excel(name = "箱号")
    private String fNo;
    //箱类型
    private Long fTypeid;
    //箱主
    private String fOwner;
    //地点
    private String fUpdateaddress;
    //空重
    private String fUpdateef;
    //箱状态
    private String fCntrstatus;
    //租赁中文
    @Excel(name = "租赁公司",readConverterExp = "如凯和")
    private String ownerName;
    //箱类型中文
    @Excel(name = "箱类型",readConverterExp = "如20GP")
    private String typeidName;
    //空重中文
    @Excel(name = "空重",readConverterExp = "如空")
    private String updateEFName;
    //地点中文名称
    @Excel(name = "最新地点")
    private String addressName;
    @Excel(name = "地点类型")
    private String addressType;

    private String addressTypeId;
    //箱状态中文
    @Excel(name = "箱状态",readConverterExp = "如好或者坏")
    private String cntrstatusName;

    public String getAddressTypeId() {
        return addressTypeId;
    }

    public void setAddressTypeId(String addressTypeId) {
        this.addressTypeId = addressTypeId;
    }

    public String getAddressType() {
        return addressType;
    }

    public void setAddressType(String addressType) {
        this.addressType = addressType;
    }

    public String getfNo() {
        return fNo;
    }
    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public Long getfTypeid() {
        return fTypeid;
    }

    public void setfTypeid(Long fTypeid) {
        this.fTypeid = fTypeid;
    }

    public String getfOwner() {
        return fOwner;
    }

    public void setfOwner(String fOwner) {
        this.fOwner = fOwner;
    }

    public String getfUpdateaddress() {
        return fUpdateaddress;
    }

    public void setfUpdateaddress(String fUpdateaddress) {
        this.fUpdateaddress = fUpdateaddress;
    }

    public String getfUpdateef() {
        return fUpdateef;
    }

    public void setfUpdateef(String fUpdateef) {
        this.fUpdateef = fUpdateef;
    }

    public String getfCntrstatus() {
        return fCntrstatus;
    }

    public void setfCntrstatus(String fCntrstatus) {
        this.fCntrstatus = fCntrstatus;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public String getTypeidName() {
        return typeidName;
    }

    public void setTypeidName(String typeidName) {
        this.typeidName = typeidName;
    }

    public String getUpdateEFName() {
        return updateEFName;
    }

    public void setUpdateEFName(String updateEFName) {
        this.updateEFName = updateEFName;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getCntrstatusName() {
        return cntrstatusName;
    }

    public void setCntrstatusName(String cntrstatusName) {
        this.cntrstatusName = cntrstatusName;
    }

    @Override
    public String toString() {
        return "TCntrnoExcel{" +
                "fNo='" + fNo + '\'' +
                ", fTypeid=" + fTypeid +
                ", fOwner='" + fOwner + '\'' +
                ", fUpdateaddress='" + fUpdateaddress + '\'' +
                ", fUpdateef='" + fUpdateef + '\'' +
                ", fCntrstatus='" + fCntrstatus + '\'' +
                ", ownerName='" + ownerName + '\'' +
                ", typeidName='" + typeidName + '\'' +
                ", updateEFName='" + updateEFName + '\'' +
                ", addressName='" + addressName + '\'' +
                ", cntrstatusName='" + cntrstatusName + '\'' +
                ", addressType='" + addressType + '\'' +
                '}';
    }
}
